%{?scl:%scl_package perl-Math-BigRat}

Name:           %{?scl_prefix}perl-Math-BigRat
# Keep 4-digit version to compete with perl.spec
Version:        0.2613
Release:        3%{?dist}
Summary:        Arbitrary big rational numbers
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Math-BigRat/
Source0:        http://www.cpan.org/authors/id/P/PJ/PJACKLAM/Math-BigRat-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  %{?scl_prefix}perl-interpreter
BuildRequires:  %{?scl_prefix}perl-generators
BuildRequires:  %{?scl_prefix}perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  %{?scl_prefix}perl(strict)
BuildRequires:  %{?scl_prefix}perl(warnings)
# Run-time:
BuildRequires:  %{?scl_prefix}perl(:VERSION) >= 5.6.0
BuildRequires:  %{?scl_prefix}perl(Carp)
BuildRequires:  %{?scl_prefix}perl(Math::BigFloat)
BuildRequires:  %{?scl_prefix}perl(Math::BigInt) >= 1.999718
BuildRequires:  %{?scl_prefix}perl(overload)
# Tests:
BuildRequires:  %{?scl_prefix}perl(Exporter)
BuildRequires:  %{?scl_prefix}perl(lib)
# Math::Complex not used
# Scalar::Util not used
BuildRequires:  %{?scl_prefix}perl(Test::More) >= 0.82
# Optional tests:
# Module::Signature not used and not helpful
# Socket not used
Requires:       %{?scl_prefix}perl(:MODULE_COMPAT_%(%{?scl:scl enable %{scl} '}eval "$(perl -V:version)";echo $version%{?scl:'}))
Requires:       %{?scl_prefix}perl(Math::BigInt) >= 1.999718
Conflicts:      %{?scl_prefix}perl < 4:5.22.0-348

%description
Math::BigRat complements Math::BigInt and Math::BigFloat by providing
support for arbitrary big rational numbers.

%prep
%setup -q -n Math-BigRat-%{version}

%build
%{?scl:scl enable %{scl} '}perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 && make %{?_smp_mflags}%{?scl:'}

%install
%{?scl:scl enable %{scl} '}make pure_install DESTDIR=$RPM_BUILD_ROOT%{?scl:'}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%{?scl:scl enable %{scl} '}make test%{?scl:'}

%files
%doc LICENSE
%doc BUGS CHANGES README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Dec 18 2017 Petr Pisar <ppisar@redhat.com> - 0.2613-3
- SCL

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2613-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 19 2017 Petr Pisar <ppisar@redhat.com> - 0.2613-1
- 0.2613 bump

* Sat Jun 03 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.2612-2
- Perl 5.26 rebuild

* Thu Mar 02 2017 Petr Pisar <ppisar@redhat.com> - 0.2612-1
- 0.2612 bump

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2611-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Dec 23 2016 Petr Pisar <ppisar@redhat.com> 0.2611-1
- Specfile autogenerated by cpanspec 1.78.
